%global momorel 1
Name: libisofs
Summary: libisofs
Version: 0.6.18
Release: %{momorel}m%{?dist}
License: GPLv2
Group: User Interface/Desktops
Source0: http://files.libburnia-project.org/releases/%{name}-%{version}.tar.gz
NoSource: 0
URL: http://libburnia-project.org/

BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
BuildPrereq: intltool
BuildPrereq: pkgconfig
BuildPrereq: libburn-devel

%description
libisofs is a library to create an ISO-9660 filesystem, and supports
extensions like RockRidge or Joliet. It is also a full featured
ISO-9660 editor, allowing you to modify an ISO image or multisession
disc, including file addition and removal, change of file names and
attributes, etc

%package devel
Summary: %{name}-devel
Group: Development/Libraries
Requires: %{name} = %{version}-%{release}

%description devel
%{name}-devel

%prep
%setup -q

%build
%configure --program-prefix=""
%make

%install
rm -rf --preserve-root %{buildroot}
make DESTDIR=%{buildroot} install

%clean
rm -rf --preserve-root %{buildroot}

%post -p /sbin/ldconfig

%postun -p /sbin/ldconfig

%files
%defattr (-, root, root)
%doc AUTHORS COPYING COPYRIGHT ChangeLog NEWS README
%{_libdir}/*.so.*
%exclude %{_libdir}/*.la

%files devel
%defattr (-, root, root)
%{_includedir}/%{name}
%{_libdir}/*.a
%{_libdir}/*.so
%{_libdir}/pkgconfig/libisofs-1.pc

%changelog
* Sun May 31 2009 NAKAYA Toshiharu <nakaya@momonga-linux.org>
- (0.6.18-1m)
- update to 0.6.18

* Wed Feb 18 2009 Hiromasa YOSHIMOTO <y@momonga-linux.org>
- (0.6.12-2m)
- add BuildPrereq:

* Wed Feb 11 2009 Nishio Futoshi <futoshi@momonga-linux.org>
- (0.6.12-1m)
- initial build
